Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.content
Interface FeatureCatalogueDescription

All Superinterfaces:
  ContentInformation

    @UML(identifier="MD_FeatureCatalogueDescription",
         specification=ISO_19115)
    public interface FeatureCatalogueDescription

extends ContentInformation

Information identifying the feature catalogue.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends Citation>` | `getFeatureCatalogueCitations()` Complete bibliographic reference to one or more external feature catalogues.
`Collection<? extends GenericName>` | `getFeatureTypes()` Subset of feature types from cited feature catalogue occurring in dataset.
`Collection<Locale>` | `getLanguages()` Language(s) used within the catalogue
`Boolean` | `isCompliant()` Indication of whether or not the cited feature catalogue complies with ISO 19110.
`boolean` | `isIncludedWithDataset()` Indication of whether or not the feature catalogue is included with the dataset.

Method Detail

### isCompliant

    @UML(identifier="complianceCode",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Boolean isCompliant()

  Indication of whether or not the cited feature catalogue complies with ISO 19110. This value is optional, and therefore may be null.

### getLanguages

    @UML(identifier="language",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<Locale> getLanguages()

  Language(s) used within the catalogue

### isIncludedWithDataset

    @UML(identifier="includedWithDataset",
         obligation=MANDATORY,
         specification=ISO_19115)
    boolean isIncludedWithDataset()

  Indication of whether or not the feature catalogue is included with the dataset.

### getFeatureTypes

    @UML(identifier="featureTypes",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends GenericName> getFeatureTypes()

  Subset of feature types from cited feature catalogue occurring in dataset.

### getFeatureCatalogueCitations

    @UML(identifier="featureCatalogueCitation",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends Citation> getFeatureCatalogueCitations()

  Complete bibliographic reference to one or more external feature catalogues.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.